class JobStep:
    """
    This is the wrapper around the C++ "JobStep" class.

    The "olives" prefix in the file indicates it is not meant to be edited for modifying,
    as this will most definitely result in breakage.
    """

    def get_duration(self) -> int: ...

    def get_price(self) -> int: ...

    def get_ticks_elapsed(self) -> int: ...

    def set_ticks_elapsed(self, ticks: int): ...

    def add_ticks_elapsed(self, ticks: int): ...

    def get_current_step(self) -> int: ...;

    def set_current_step(self, step_number: int ): ...